//
//  CollectionViewController.m
//  OrderOfVisibleItems
//
//  Created by Jake MacMullin on 14/03/13.
//  Copyright (c) 2013 Stripy Sock. All rights reserved.
//

#import "CollectionViewController.h"
#import "LabelCell.h"

@interface CollectionViewController ()

@property (nonatomic, strong) NSArray *contentItems;

@end

@implementation CollectionViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    [self setContentItems:@[@"1", @"2", @"3", @"4", @"5", @"6", @"7", @"8", @"9", @"10"]];
}

- (NSInteger)numberOfSectionsInCollectionView:(UICollectionView *)collectionView
{
    return 1;
}

- (NSInteger)collectionView:(UICollectionView *)collectionView numberOfItemsInSection:(NSInteger)section
{
    return self.contentItems.count;
}

- (UICollectionViewCell *)collectionView:(UICollectionView *)collectionView cellForItemAtIndexPath:(NSIndexPath *)indexPath
{
    LabelCell *cell = (LabelCell *)[collectionView dequeueReusableCellWithReuseIdentifier:@"Cell" forIndexPath:indexPath];
    [cell setLabelText:self.contentItems[indexPath.item]];
    return cell;
}

- (void)scrollViewDidScroll:(UIScrollView *)scrollView
{
    NSArray *indexPathsOfVisibleItems = [self.collectionView indexPathsForVisibleItems];
    NSArray *visibleCells = [self.collectionView visibleCells];
    
    NSLog(@"%@", indexPathsOfVisibleItems.debugDescription);
    NSLog(@"%@", visibleCells.debugDescription);
}

@end
