//
//  LabelCell.m
//  OrderOfVisibleItems
//
//  Created by Jake MacMullin on 14/03/13.
//  Copyright (c) 2013 Stripy Sock. All rights reserved.
//

#import "LabelCell.h"

@interface LabelCell()

- (void)initialise;

@end

@implementation LabelCell

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self!=nil) {
        [self initialise];
    }
    return self;
}

- (id)initWithCoder:(NSCoder *)aDecoder
{
    self = [super initWithCoder:aDecoder];
    if (self!=nil) {
        [self initialise];
    }
    return self;
}

- (void)initialise
{
    [self addObserver:self
           forKeyPath:@"labelText"
              options:NSKeyValueObservingOptionNew
              context:NULL];
}

- (void)observeValueForKeyPath:(NSString *)keyPath ofObject:(id)object change:(NSDictionary *)change context:(void *)context
{
    if ([keyPath isEqualToString:@"labelText"]) {
        [self.label setText:self.labelText];
    }
}

- (void)dealloc
{
    [self removeObserver:self forKeyPath:@"labelText"];
}

- (NSString *)debugDescription
{
    return [NSString stringWithFormat:@"%@ : %@", self.labelText, [super debugDescription]];
}

@end
